local t = Def.ActorFrame {
		Def.Sprite {
			InitCommand=function(self)
				if GAMESTATE:GetCurrentSong() then
					local song = GAMESTATE:GetCurrentSong();
					if song:HasBackground() then
						self:LoadBackground(song:GetBackgroundPath());
					end;
					self:scaletoclipped( SCREEN_WIDTH+1,SCREEN_HEIGHT );
					(cmd(diffusealpha,1))(self);
				else
					self:visible(false);
				end
			end;
			OnCommand=cmd(Center;diffusealpha,0;zoom,2.0;linear,0.2;zoom,1.0;diffusealpha,1;blend,'BlendMode_Add';);
			OffCommand=cmd(smooth,0.5;smooth,0.3;diffusealpha,0;);
		};

	-- Def.Sprite {
		-- InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-130;);
		-- OnCommand=function(self)
			-- if GAMESTATE:GetCurrentSong() then
				-- local song = GAMESTATE:GetCurrentSong();
				-- if song:HasBanner() then
					-- self:LoadBanner(song:GetBannerPath());
				-- end;
				-- self:scaletoclipped( 80,80 );
				-- (cmd(zoom,0.4;diffusealpha,0;smooth,0.3;zoom,1;diffusealpha,1))(self);
			-- else
				-- self:visible(false);
			-- end
		-- end;
	-- };
	LoadActor("p1pane") .. {	
		InitCommand=cmd(player,PLAYER_1;horizalign,left;x,SCREEN_LEFT;y,SCREEN_CENTER_Y;);
		OffCommand=cmd(smooth,0.4;x,SCREEN_LEFT-210);
	};
	
	LoadActor("p2pane") .. {	
		InitCommand=cmd(player,PLAYER_2;horizalign,right;x,SCREEN_RIGHT-212;y,SCREEN_CENTER_Y;zoomx,-1);
		OffCommand=cmd(smooth,0.4;x,SCREEN_RIGHT+210);
	};	
	
	LoadActor("p1labels") .. {	
		InitCommand=cmd(player,PLAYER_1;x,SCREEN_LEFT+70;y,SCREEN_CENTER_Y+29;diffusealpha,0);
		OnCommand=cmd(sleep,0.9;smooth,0.6;diffusealpha,1;);
		OffCommand=cmd(smooth,0.4;x,SCREEN_LEFT-130);
	};
	LoadActor("p2labels") .. {	
		InitCommand=cmd(player,PLAYER_2;x,SCREEN_RIGHT-70;y,SCREEN_CENTER_Y+29;diffusealpha,0);
		OnCommand=cmd(sleep,0.9;smooth,0.6;diffusealpha,1;);	
		OffCommand=cmd(smooth,0.4;x,SCREEN_RIGHT+130);
	};
};
return t;